Bug 668303 - PackageKit-DEBUG floods xsession-errors
PackageKit-DEBUG floods xsession-errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
14
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-09 17:45 EST by Christoph Wickert
Modified: 2016-04-27 01:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:15:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Half a day's worth of PackageKit messages, gnome-packagekit-2.32.0-2.fc14.i686 (47.04 KB, text/plain)
2011-01-22 05:34 EST, Christopher Beland
no flags Details

  None (edit)
Description Christoph Wickert 2011-01-09 17:45:46 EST
Description of problem:
gnome-packagekit prints way too many debug info to ~/.xsession-errors. A user of the F14 LXDE spin reported a file of 25 GB and most of this is from gpk-update-icon and gpk-application. I'm seeing the same, but not that bad because this installation is still young.

$ ls -lh .xsession-errors
-rw-------. 1 chris chris 13M  9. Jan 23:32 .xsession-errors
[chris@denkermatic ~]$ cat .xsession-errors | wc -l
153988
[chris@denkermatic ~]$ grep PackageKit-DEBUG .xsession-errors | wc -l
128402

Version-Release number of selected component (if applicable):
gnome-packagekit-2.32.0-2.fc14.x86_64

How reproducible:
always
Comment 1 Richard Hughes 2011-01-10 04:30:12 EST
Isn't .xsession-errors meant to be cleared before every logon? Mine is 76k in size. The tons of debugging might actually be a repeated warning, it would be interesting to see what the rough contents of the .xsession-errors is.

That said, most of the debugging from PackageKit-glib is pretty lowlevel, and decreases the SNR of the .xsession-errors by a large part. I've fixed that in the following commit:

commit 13bce887c16f4ade215c354ff69c3714a787cacc
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jan 10 09:29:03 2011 +0000

    glib: avoid spamming lots of low level debugging to .xsession-errors. Fixes rh#668303
Comment 2 Christoph Wickert 2011-01-10 04:52:19 EST
Thanks for your quick feedback. I'm not sure if .xsession-errors is supposed to be cleared on login and I cannot try since I have too many things open to restart my session. I am one of the people who use standby all the time and not log in for weeks, so I appreciate that you turned of the debugging stuff.

I found but 495190 which is related to this issue but does not include a clear statement whether or not the file should be cleared regularly.
Comment 3 Perry Myers 2011-01-13 21:30:40 EST
It's good to see a patch that clears this issue up, but until the patch makes its way into a Fedora package in updates, what should we do to prevent this from happening?

Over one single night, my .xsession-errors file grew to be 296GB:

-rw-------. 1 pmyers users 296G Jan 13 21:14 .xsession-errors

And this completely filled up my /home filesystem

Without a package to fix the issue, I fear the only way to make the system usable is to remove PackageKit and then reinstall when a fixed version is available.  Any other suggestions?
Comment 4 Perry Myers 2011-01-13 22:09:54 EST
Doing a bit more digging, what was filling up my .xsession-errors file was not PackageKit DEBUG messages but instead PackageKit Warnings.  And the trigger in this case had to do with using synergy.  Not sure what caused synergy to trigger this, but once I killed the synergys process the .xsession-errors file stopped being spammed.
Comment 5 Christopher Beland 2011-01-22 05:34:05 EST
Created attachment 474731 [details]
Half a day's worth of PackageKit messages, gnome-packagekit-2.32.0-2.fc14.i686

I'm attaching about half a day's worth of PackageKit messages.  They are mostly DEBUG level, but with some WARNING (probably from when this netbook was offline after waking from sleep).  This is with gnome-packagekit-2.32.0-2.fc14.i686.
Comment 6 Christoph Wickert 2011-03-07 17:15:53 EST
Richard, it this supposed to be in Fedora already? Starting gpk-update-viewer in F15 with all updates I still see tons of DEBUG messages.
Comment 7 Christoph Wickert 2011-04-02 19:20:08 EDT
Same for gkp-log. Can we get this fixed before F15?
Comment 8 Christoph Wickert 2011-04-11 06:09:37 EDT
In F15 Beta RC2 I the following apps still have debug output enabled:
gpk-log
gpk-update-viewer
gpk-prefs

Can we please have this fixed before GA?
Comment 9 Christoph Wickert 2011-06-23 16:57:21 EDT
Any idea when this will be fixed? The amount of debug out put is still enormous in gnome-packagekit-3.0.0-5.fc15.
Comment 10 Fedora End Of Life 2012-08-16 18:15:38 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.